Skip to content

Delete a data connector

Request

Delete an existing data connector. The connector must be in draft state and must not be in use by any workflows or AI agents.

OAuth tokens must have the read_write_data_connectors scope.

Security
bearerAuth
Path
idstringrequired

The unique identifier of the data connector

Example:12345
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X DELETE \
  https://api.intercom.io/data_connectors/12345 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

Data connector deleted

Bodyapplication/json
idstring

The unique identifier for the data connector.

Example:"125"
objectstring

The type of object which was deleted.

Value:"data_connector"
Example:"data_connector"
deletedboolean

Whether the data connector was deleted successfully.

Example:true
Response
{ "id": "125", "object": "data_connector", "deleted": true }